## pycassa 1.11.0

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pycassa.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pycassa.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
pycassa (1.11.0-1) unstable; urgency=low

  * Initial release (Closes: #744164)

 -- Sebastien Badia <seb@sebian.fr>  Fri, 11 Apr 2014 17:58:17 +0200

=== debian/control ===
Source: pycassa
Section: python
Priority: optional
Maintainer: Sebastien Badia <seb@sebian.fr>
Uploaders: Tyler Hobbs <tyler@datastax.com>, Paul Cannon <pik@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-setuptools,
               python-sphinx,
               python-thrift (>= 0.5.0)
Homepage: http://pycassa.github.io/pycassa/
Vcs-Git: git://anonscm.debian.org/collab-maint/pycassa.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/pycassa.git
Standards-Version: 3.9.5

Package: python-pycassa
Architecture: all
Depends: python-thrift (>= 0.5.0), ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Suggests: ipython
Description: Client library for Apache Cassandra
 Pycassa is a client library for Apache Cassandra with the following
 features:
 .
  * Automatic failover and operation retries
  * Connection pooling
  * Multithreading support
  * A batch interface
  * A class for mapping classes to Cassandra column families
 .
 This version is compatible with Cassandra 0.7 and 0.8.

Package: pycassa-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Suggests: python-pycassa
Description: Documentation for the Pycassa library
 Pycassa is a client library for Apache Cassandra with the following
 features:
 .
  * Automatic failover and operation retries
  * Connection pooling
  * Multithreading support
  * A batch interface
  * A class for mapping classes to Cassandra column families
 .
 This package contains the documentation for Pycassa, including a
 tutorial, an API reference, a HOWTO for the pycassaShell tool, and
 some usage examples.

## pycassa 1.11.1

=== debian/changelog ===
pycassa (1.11.1-2) unstable; urgency=medium

  * Rebuild, upload to unstable.

 -- Sebastien Badia <seb@sebian.fr>  Mon, 04 May 2015 13:45:59 +0200

pycassa (1.11.1-1) experimental; urgency=medium

  * d/gbp.conf: Update Debian branch name
  * Imported Upstream version 1.11.1
  * d/control: Update Standards-Version (no changes)
               Update Vcs-browser URL (use cgit)

 -- Sebastien Badia <seb@sebian.fr>  Thu, 05 Mar 2015 01:01:19 +0100

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
                python-setuptools,
                python-sphinx,
                python-thrift (>= 0.5.0)
-Homepage: http://pycassa.github.io/pycassa/
+Homepage: https://pycassa.github.io/pycassa/
 Vcs-Git: git://anonscm.debian.org/collab-maint/pycassa.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/pycassa.git
-Standards-Version: 3.9.5
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/pycassa.git
+Standards-Version: 3.9.6
 
 Package: python-pycassa
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc

PYTHONS:=$(shell pyversions -vr)
override_dh_auto_install:
	set -e && for pyvers in $(PYTHONS); do \
                python$$pyvers setup.py install --install-layout=deb \
                        --root $(CURDIR)/debian/python-pycassa ; \
		rm $(CURDIR)/debian/python-pycassa/usr/lib/python$$pyvers/dist-packages/ez_setup.py ; \
        done

override_dh_installchangelogs:
	dh_installchangelogs CHANGES

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/ $(CURDIR)/debian/pycassa-doc/usr/share/doc/pycassa-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/pycassa-$1\.tar\.gz/ \
  https://github.com/pycassa/pycassa/tags .*/v?(\d\S*)\.tar\.gz debian debian/repack

## pycassa 1.11.2.1

=== debian/changelog ===
pycassa (1.11.2.1-1) unstable; urgency=medium

  * d/repack: Use file-exclude feature of d/copyright for upstream repack
  * d/compat: Bump compat version to 10
  * d/control:
    + Use https for Vcs-* fields
    + Migrate to my Debian email
    + Bump Standards-Version to 4.0.1
  * New upstream version 1.11.2.1

 -- Sebastien Badia <sbadia@debian.org>  Wed, 23 Aug 2017 19:21:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,24 @@
 Source: pycassa
 Section: python
 Priority: optional
-Maintainer: Sebastien Badia <seb@sebian.fr>
+Maintainer: Sebastien Badia <sbadia@debian.org>
 Uploaders: Tyler Hobbs <tyler@datastax.com>, Paul Cannon <pik@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                python-all,
                python-setuptools,
                python-sphinx,
                python-thrift (>= 0.5.0)
 Homepage: https://pycassa.github.io/pycassa/
-Vcs-Git: git://anonscm.debian.org/collab-maint/pycassa.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/pycassa.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/pycassa.git
-Standards-Version: 3.9.6
+Standards-Version: 4.0.1
 
 Package: python-pycassa
 Architecture: all
 Depends: python-thrift (>= 0.5.0), ${misc:Depends}, ${python:Depends}
 Provides: ${python:Provides}
-Suggests: ipython
+Suggests: ipython, pycassa-doc
 Description: Client library for Apache Cassandra
  Pycassa is a client library for Apache Cassandra with the following
  features:
@@ -35,7 +35,6 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
-Suggests: python-pycassa
 Description: Documentation for the Pycassa library
  Pycassa is a client library for Apache Cassandra with the following
  features:

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/pycassa-$1\.tar\.gz/ \
  https://github.com/pycassa/pycassa/tags .*/v?(\d\S*)\.tar\.gz
